Subject: mboned: Fwd: New IRTF RG chartered--Scalable Adaptive Multicast (SAM) RG

From: Marshall Eubanks <[email-masked]>
Date: Fri, 2 Jun 2006 14:57:58 -0400

I know that this will be of interest to some group members.

Regards
Marshall

Begin forwarded message:

> From: "John Buford" <[email-masked]>
> Date: June 2, 2006 2:26:36 PM EDT
> To: <[email-masked]>
> Subject: New IRTF RG chartered--Scalable Adaptive Multicast (SAM) RG
>
>
> A new IRTF research group, Scalable Adaptive Multicast (SAM)
> Research Group, has begun, with the appended charter.
> Use sam-request at irtf.org to subscribe
> to the mailing list.  See http://www.samrg.org for
> further information.
>
> John Buford & Jeremy Mineweaser
>
> ====================================================================== 
> ==
>
>   The Scalable Adaptive Multicast (SAM) Research Group is chartered
>   to explore and research techniques which improve multicast
>   performance with respect to dimensions such as number of groups,
>   dynamics of group membership, dynamics of the network topology, and
>   network resource constraints.  The RG will investigate approaches
>   based on application layer multicast (ALM), overlay multicast (OM),
>   and native IP multicast, as well as hybrid approaches.  A key design
>   consideration is the placement of multicast state information along
>   the multicast path, including packet headers, end hosts, and network
>   nodes, where placement may be determined adaptively.
>
>   In SAM architectures, new protocols are expected to coexist and
>   integrate with native IP multicast protocols while offering more
>   flexible deployment options and scaling to support a greater number
>   of simultaneous multicast groups.  Alternative technologies such as
>   end-system multicast and overlay multicast have been demonstrated,
>   but these mechanisms must be integrated into a unified architecture
>   and operational design.
>
>   Among the challenges to be addressed are: multicasting in topologies
>   with concatenated VPNs, such as the Global Information Grid (GIG);
>   ability to incorporate QoS mechanisms while retaining scalability;
>   integration with network- and application-layer security mechanisms;
>   and adaptation schemes which consider group-related factors, such as
>   group size, number of sources, membership dynamics, sensitivity
>   to delay, amount of state, state update rate, application data rate,
>   and other application-specific parameters, as well as network- 
> related
>   factors, such as dynamics of topology, carrying capacity, and
> connectivity.
>
>   Methods will be explored for group formation and discovery that
>   scale to large numbers of groups, accommodate highly dynamic group
>   membership, and support user-initiated small-group multicast in
>   which the group is defined as a set of explicitly addressed
>   endpoints.  Further challenges include efficient multicast for
>   limited-resource nodes and access links, control mechanisms for
>   hybrid systems, approaches to optimization in the network, including
>   routing, and operation in mobile networks, including Mobile Ad-hoc
>   Networks (MANETs).
>
>   Deploying, diagnosing, debugging, and managing multicast services is
>   complex, particularly for services which span multiple  
> administrative
>   domains.  The RG will propose and evaluate tools and strategies for
>   deployment, operations, and management of SAM services.
>
>   The RG will select candidates for analysis and evaluation from
>   existing research results.  Researchers are invited to submit new
>   approaches for further investigation.  Through experimentation, the
>   RG seeks to deepen its understanding of the solution space and to
>   enable the identification of preferred solutions as a function of
>   dynamic network characteristics and the number of multicast sources,
>   receivers, and groups.
>
>   The expected findings of the RG include characterizing the problem
>   space, including driving scenarios, comparisons and analysis of
>   existing approaches, a SAM framework that supports multiple ALM/OM/
>   native/hybrid protocols, analysis of network infrastructure impact
>   when multicast traffic becomes a dominant flow in a network, and
>   deployment scenarios which are independent of but can support and
>   evolve with network infrastructure support for native multicast.
>   The findings are expected to be published in technical reports,
>   academic papers, and/or RFCs.
>
>
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/